java.sql

## Enum RowIdLifetime

- java.lang.Object
- - java.lang.Enum<RowIdLifetime>
  - - java.sql.RowIdLifetime

All Implemented Interfaces:
  Serializable, Comparable<RowIdLifetime>

    public enum RowIdLifetime
    extends Enum<RowIdLifetime>

Enumeration for RowId life-time values.

Since:
  1.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ROWID_UNSUPPORTED` Indicates that this data source does not support the ROWID type.
`ROWID_VALID_FOREVER` Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.
`ROWID_VALID_OTHER` Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.
`ROWID_VALID_SESSION` Indicates that the lifetime of a RowId from this data source is at least the containing session.
`ROWID_VALID_TRANSACTION` Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

### Method Summary

Methods
`static RowIdLifetime` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RowIdLifetime[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROWID_UNSUPPORTED

    public static final RowIdLifetime ROWID_UNSUPPORTED

Indicates that this data source does not support the ROWID type.

#### ROWID_VALID_OTHER

    public static final RowIdLifetime ROWID_VALID_OTHER

Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.

#### ROWID_VALID_SESSION

    public static final RowIdLifetime ROWID_VALID_SESSION

Indicates that the lifetime of a RowId from this data source is at least the containing session.

#### ROWID_VALID_TRANSACTION

    public static final RowIdLifetime ROWID_VALID_TRANSACTION

Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

#### ROWID_VALID_FOREVER

    public static final RowIdLifetime ROWID_VALID_FOREVER

Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.

### Method Detail

#### values

    public static RowIdLifetime[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RowIdLifetime c : RowIdLifetime.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RowIdLifetime valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.